Glassfish, я понял почему его не любят.

Я понял, почему не любят Glassfish.

Сначала я поставил версию 5. Локально работает отлично, удаленно не работает. Не возможно подключиться к админской консоли.

Времени разбираться не было. Забил на 5-ку, поставил 4-ку. Все работало до тех пор, пока не начал REST методы пилить. Оказывается встроенный XML парсер требует java определенной, старой (очень старой) версии.

Новая версия парсера, которую я подсунул глассфишу, отказывается работать с 4-кой 🙂

Забил на 4-ку, начал разбираться с 5-кой. Оказывается, для нормальной удаленной работы 5-ки требуется java 8 билд не более u152. Едрить твою через…

Пришлось качать нестабильную версию 5.0.1. Удаленное управление работает, парсер работает.

Но сколько на это было убито времени и нервов…

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *